## OobsNTPServer

OobsNTPServer — Object that represents an individual NTP server

## Synopsis

                        OobsNTPServer;
    OobsNTPServer*      oobs_ntp_server_new                 (const gchar *hostname);
    const gchar*        oobs_ntp_server_get_hostname        (OobsNTPServer *ntp_server);
    void                oobs_ntp_server_set_hostname        (OobsNTPServer *ntp_server,
                                                             const gchar *hostname);

## Object Hierarchy

      GObject
       +----OobsNTPServer

## Properties

      "hostname"                 gchar*                : Read / Write

## Description

## Details

### OobsNTPServer

    typedef struct _OobsNTPServer OobsNTPServer;

### oobs_ntp_server_new ()

    OobsNTPServer*      oobs_ntp_server_new                 (const gchar *hostname);

Returns a new OobsNTPServer with hostname set to hostname. hostname can specify an IP address too.

`hostname` : | Hostname of the NTP server.
Returns : | A new OobsNTPServer.

### oobs_ntp_server_get_hostname ()

    const gchar*        oobs_ntp_server_get_hostname        (OobsNTPServer *ntp_server);

Returns the OobsNTPServer hostname or IP address.

`ntp_server` : | An OobsNTPServer.
Returns : | A pointer to the NTP server hostname (or IP address) as a string. This string must not be freed, modified or stored.

### oobs_ntp_server_set_hostname ()

    void                oobs_ntp_server_set_hostname        (OobsNTPServer *ntp_server,
                                                             const gchar *hostname);

Sets the hostname of ntp_server to be hostname. hostname can specify an IP address too.

`ntp_server` : | An OobsNTPServer.
`hostname` : | a new hostname (or IP address) for ntp_server.

## Property Details

### The `"hostname"` property

      "hostname"                 gchar*                : Read / Write

Server hostname.

Default value: NULL

## See Also

OobsNTPConfig